From 930e421f546977860e5ec0ec2de169416c3bdea2 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 9 Jun 2009 11:45:11 +0200
Subject: [PATCH] Disable java on ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 subversion.spec |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

diff --git a/subversion.spec b/subversion.spec
index 9ad0b83..763af29 100644
--- a/subversion.spec
+++ b/subversion.spec
@@ -2,6 +2,9 @@
 %define make_check 1
 
 %define with_java 1
+%ifarch %{arm}
+%define with_java 0
+%endif
 
 # set JDK path to build javahl; default for JPackage
 %define jdk_path /usr/lib/jvm/java
@@ -15,7 +18,7 @@
 Summary: A Modern Concurrent Version Control System
 Name: subversion
 Version: 1.6.1
-Release: 4%{?dist}
+Release: 4%{?dist}.fa1
 License: ASL 1.1
 Group: Development/Tools
 URL: http://subversion.tigris.org/
@@ -286,6 +289,9 @@ rm -rf ${RPM_BUILD_ROOT}
 %endif
 
 %changelog
+* Tue Jun 9 2009 Kedar Sovani <kedars@marvell.com> 1.6.1-4.fa1
+- disable java on ARM.
+
 * Wed Apr 15 2009 Joe Orton <jorton@redhat.com> 1.6.1-4
 - really disable PIE
 
-- 
1.5.5.6

